{% extends 'base.html.twig' %}

{% block icon %}fa fa-folder-o{% endblock %}
{% block title %}Fichiers liés à l'accord de versement {{ agreement.name }} ({{ agreement.identifier }}){% endblock %}
{% block breadcrumb %}
    <li>Référentiel archivage</li>
    <li><a href="{{ url('app_agreement') }}">Accords de versement</a></li>
    <li class="active">Fichiers liés à l'accord de versement {{ agreement.name }} ({{ agreement.identifier }})</li>
{% endblock %}

{% block body %}
    {% if agreement.editable %}
    <div class="container btn-separator">
        {% if can_access('app_agreement_edit') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('app_agreement_file_add', {agreement: agreement.id}) }}"
                data-title="Ajouter un fichier"
                data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Ajouter un fichier
            </button>
        {% endif %}
    </div>
    {% endif %}
    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des fichiers"
        }
    ) }}
{% endblock %}
